@import url('https://fonts.googleapis.com/css?family=Noto+Sans|Open+Sans|Roboto:400&display=swap&subset=cyrillic');
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css');

:root {
    --roboto: 'Roboto', sans-serif;
    --noto-sans: 'Noto Sans', sans-serif;
    --open-sans: 'Open Sans', sans-serif;
    
    --background: #f8f8f8;
    --foreground: #333333;
    --accent: #6c5dd3;
}

[theme="dark"] {
    --background: #1a1a1a;
    --foreground: #bfbfbf;
    --accent: #7f70e4;
}

* {
    font-family: var(--roboto);
    box-sizing: border-box;
    margin: 0;
}

body {
    display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
    background: var(--background);
	overflow: hidden;
	font-size: 18px;
	transition: .4s;
}

.container {
	display: flex;
	flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.group {
    display: flex;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    max-width: 800px;
}

.group p {
    width: 90px;
    margin-right: 10px;
    color: var(--accent);
}

.group a {
    color: var(--foreground);
    margin: 7px 15px 7px 0px;
    text-decoration: none;
    outline: none;
    transition: .5s;
}

a:hover {
    color: var(--accent);
}

.search {
	margin-top: 5px;
}

.wetter {
	margin-top: 15px;
}

input {
    font-size: 18px;
    color: var(--foreground);
    background: transparent;
    border: none;
	text-align: center;
}

input:focus {
    outline: none;
    color: var(--accent);
}

.btn_theme {
    position: fixed;
    top: 15px;
    right: 15px;
    transform: rotate(-25deg);
}

#chb_theme {display: none;}

#chb_theme + label::before,
#chb_theme + label:hover::before,
#chb_theme:checked + label::before,
#chb_theme:checked + label:hover::before {
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	font-size: 20px;
	content: "\f186";
	cursor: pointer;
	transition: .2s;
}

#chb_theme + label::before {color: #BDBDBD;}

#chb_theme + label:hover::before {color: #9E9E9E;}

#chb_theme:checked + label::before {color: #FFD740;}

#chb_theme:checked + label:hover::before {color: #bfa132;}